<?php
/**
 * Byakurai functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Byakurai
 */

defined( 'ABSPATH' ) || exit;

define( 'BYAKURAI_VERSION', wp_get_theme()->get( 'Version' ) );
define( 'BYAKURAI_DIR', get_template_directory() );

require BYAKURAI_DIR . '/themesettings.php';
require BYAKURAI_DIR . '/inc/filter-functions.php';
require BYAKURAI_DIR . '/inc/block-style.php';
require BYAKURAI_DIR . '/inc/tgm-config.php';

/**
 * Implement the Custom Header feature.
 */
require BYAKURAI_DIR . '/inc/custom-header.php';
/**
 * Custom template tags for this theme.
 */
require BYAKURAI_DIR . '/inc/template-tags.php';
/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require BYAKURAI_DIR . '/inc/template-functions.php';
/**
 * Customizer additions.
 */
require BYAKURAI_DIR . '/inc/customizer.php';
/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require BYAKURAI_DIR . '/inc/jetpack.php';
}
